summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Vincent Batts2011-08-09 14:59:01 +0200
committer Niels Horn2011-08-09 14:59:01 +0200
commit27ae8299ebc7fdcb8ae52c37a36ccad42d73ce43 (patch)
tree4db36cab309bd1243f2263b48a8fae858332c3c8
parent7265cfa85ab7659cb729d76c41d104fe472cdbd2 (diff)
downloadslackbuilds-27ae8299ebc7fdcb8ae52c37a36ccad42d73ce43.tar.gz
development/cream: Added (modern configuration of VIM)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
-rw-r--r--development/cream/README4
-rw-r--r--development/cream/cream.SlackBuild72
-rw-r--r--development/cream/cream.info10
-rw-r--r--development/cream/doinst.sh3
-rw-r--r--development/cream/slack-desc19
5 files changed, 108 insertions, 0 deletions
diff --git a/development/cream/README b/development/cream/README
new file mode 100644
index 0000000000..e0becc8808
--- /dev/null
+++ b/development/cream/README
@@ -0,0 +1,4 @@
+Cream shapes Vim into an interface you probably already know
+(sometimes called Common User Access). Whether you are
+writing emails or developing large software applications, Cream
+saves you time and gets you up and running quickly.
diff --git a/development/cream/cream.SlackBuild b/development/cream/cream.SlackBuild
new file mode 100644
index 0000000000..5da79fe4ec
--- /dev/null
+++ b/development/cream/cream.SlackBuild
@@ -0,0 +1,72 @@
+#!/bin/sh
+
+# Slackware build script for cream
+
+# Copyright 2011 Vincent Batts, Vienna, VA, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=cream
+VERSION=${VERSION:-0.43}
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Set VIMRUNTIME here, as the INSTALL.sh script has some problems with
+# redirection of output
+export VIMRUNTIME=$(vim -e -T dumb --cmd 'exe "set t_cm=\<C-M>"|echo $VIMRUNTIME|quit' | tr -d '\015')
+
+# Fix a bug in INSTALL.sh
+sed -i "s/-d \$VIMRUNTIME/! -d \$VIMRUNTIME/g" INSTALL.sh
+
+DESTDIR=$PKG \
+ sh INSTALL.sh /usr
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ docs/* docs-html/ \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/cream/cream.info b/development/cream/cream.info
new file mode 100644
index 0000000000..568b294ed2
--- /dev/null
+++ b/development/cream/cream.info
@@ -0,0 +1,10 @@
+PRGNAM="cream"
+VERSION="0.43"
+HOMEPAGE="http://cream.sourceforge.net/"
+DOWNLOAD="http://sourceforge.net/projects/cream/files/Cream/0.43/cream-0.43.tar.gz"
+MD5SUM="94bcd05000de3260fb15b00e13b0a7ea"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Vincent Batts"
+EMAIL="vbatts@hashbangbash.com"
+APPROVED="Niels Horn"
diff --git a/development/cream/doinst.sh b/development/cream/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/development/cream/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/development/cream/slack-desc b/development/cream/slack-desc
new file mode 100644
index 0000000000..7acd205999
--- /dev/null
+++ b/development/cream/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+cream: cream (modern configuration of VIM)
+cream:
+cream: Cream shapes Vim into an interface you probably already know
+cream: (sometimes called Common User Access). Whether you are
+cream: writing emails or developing large software applications, Cream
+cream: saves you time and gets you up and running quickly.
+cream:
+cream: Homepage: http://cream.sourceforge.net/
+cream:
+cream:
+cream: